{
  "$schema": "./node_modules/oxlint/configuration_schema.json",
  "ignorePatterns": ["**/*.gen.ts", "src/i18n/resources.d.ts"],
  "plugins": ["react", "react-perf", "import", "jsx-a11y", "promise"],
  "rules": {
    "eqeqeq": ["error", "smart"],
    "promise/prefer-await-to-then": "off",
    "promise/prefer-await-to-callbacks": "off",
    "promise/prefer-await-to-catch": "off"
  },
  "settings": {
    "jsx-a11y": {
      "polymorphicPropName": "as"
    },
    "react": {
      "version": "19.2.0"
    }
  },
  "env": {
    "builtin": true
  }
}
